Critical Data Elements - Create

Creates a new critical data element in the catalog. Rate limit: 200 requests per 20-second window.

POST {endpoint}/datagovernance/catalog/criticalDataElements?api-version=2026-03-20-preview

URI Parameters

Name In Required Type Description
endpoint
path True

string

The endpoint of the Purview Unified Catalog service. Example: https://api.purview-service.microsoft.com/

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
id True

string (uuid)

The unique identifier of the critical data element.

contacts

ContactsMap

The contacts associated with this critical data element.

dataType

CatalogModelCriticalDataElementDataTypeEnum

The data type of the critical data element.

description

string

A detailed description of the critical data element.

domain

string (uuid)

The unique identifier of the domain this element belongs to.

managedAttributes

CatalogModelManagedAttribute[]

Managed attributes associated with this critical data element.

name

string

The name of the critical data element.

status

CatalogModelStatus

The current status of the critical data element.

systemData

CatalogModelSystemDataWithExpired

System metadata including creation and modification information.

Responses

Name Type Description
201 Created

CriticalDataElement

The request has succeeded and a new resource has been created as a result.

Other Status Codes

Azure.Core.Foundations.ErrorResponse

An unexpected error response.

Headers

x-ms-error-code: string

Security

OAuth2Auth

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
https://purview.azure.net/.default

Examples

CriticalDataElements_Create

Sample request

POST {endpoint}/datagovernance/catalog/criticalDataElements?api-version=2026-03-20-preview

{
  "status": "PUBLISHED",
  "dataType": "TEXT",
  "id": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
  "name": "uwae",
  "systemData": {
    "createdAt": "2025-06-16T21:01:37.447Z",
    "createdBy": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
    "lastModifiedAt": "2025-06-16T21:01:37.447Z",
    "lastModifiedBy": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
    "expiredAt": "2025-06-16T21:01:37.447Z",
    "expiredBy": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a"
  },
  "domain": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
  "description": "lkijxttoytawcul",
  "contacts": {
    "owner": [
      {
        "id": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
        "description": "atitetlocznsnmithbzk"
      }
    ]
  },
  "managedAttributes": [
    {
      "name": "yudgednngbwobftmdyfwiblftdw"
    }
  ]
}

Sample response

{
  "status": "PUBLISHED",
  "dataType": "TEXT",
  "id": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
  "name": "uwae",
  "systemData": {
    "createdAt": "2025-06-16T21:01:37.447Z",
    "createdBy": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
    "lastModifiedAt": "2025-06-16T21:01:37.447Z",
    "lastModifiedBy": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
    "expiredAt": "2025-06-16T21:01:37.447Z",
    "expiredBy": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a"
  },
  "domain": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
  "description": "lkijxttoytawcul",
  "contacts": {
    "owner": [
      {
        "id": "b3b4cc6e-6a91-4d34-8af3-90e2f93d6c7a",
        "description": "atitetlocznsnmithbzk"
      }
    ]
  },
  "managedAttributes": [
    {
      "name": "analytics campign.efg",
      "value": "\"trst\""
    }
  ]
}

Definitions

Name Description
Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

CatalogModelContactsValueInner

Contact information for catalog entities.

CatalogModelCriticalDataElementDataTypeEnum

Data types supported for critical data elements.

CatalogModelManagedAttribute

Managed attribute configuration for catalog entities.

CatalogModelStatus

Status of a catalog model entity indicating its lifecycle state.

CatalogModelSystemDataWithExpired

System metadata with expiration information for catalog entities.

ContactsMap

A dictionary of contact lists keyed by contact type (e.g., 'Owner', 'Expert').

CriticalDataElement

Represents a critical data element in the catalog with metadata and relationships.

DataAssetProvisioningState

The provisioning state of a data asset.

Azure.Core.Foundations.Error

The error object.

Name Type Description
code

string

One of a server-defined set of error codes.

details

Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror

Azure.Core.Foundations.InnerError

An object containing more specific information than the current object about the error.

message

string

A human-readable representation of the error.

target

string

The target of the error.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Name Type Description
error

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Name Type Description
code

string

One of a server-defined set of error codes.

innererror

Azure.Core.Foundations.InnerError

Inner error.

CatalogModelContactsValueInner

Contact information for catalog entities.

Name Type Description
description

string

A description of this user assignment

id

string (uuid)

AAD oid for the person or group

CatalogModelCriticalDataElementDataTypeEnum

Data types supported for critical data elements.

Value Description
TEXT

Text data type.

NUMBER

Numeric data type.

DATETIME

Date and time data type.

BOOLEAN

Boolean data type.

CatalogModelManagedAttribute

Managed attribute configuration for catalog entities.

Name Type Description
isRequired

boolean

Whether this attribute is required.

name

string

The name of the managed attribute.

value

string

The value of the attribute.

CatalogModelStatus

Status of a catalog model entity indicating its lifecycle state.

Value Description
DRAFT

The entity is in draft state.

PUBLISHED

The entity is published and active.

EXPIRED

The entity has expired and is no longer active.

CatalogModelSystemDataWithExpired

System metadata with expiration information for catalog entities.

Name Type Description
createdAt

string (date-time)

The timestamp when the record was created.

createdBy

string (uuid)

The unique identifier of the user who created the record.

expiredAt

string (date-time)

The timestamp when the record expires.

expiredBy

string (uuid)

The unique identifier of the user who expired the record.

lastModifiedAt

string (date-time)

The timestamp when the record was last modified.

lastModifiedBy

string (uuid)

The unique identifier of the user who last modified the record.

provisioningState

DataAssetProvisioningState

The provisioning state of the record. ex: softdeleted

ContactsMap

A dictionary of contact lists keyed by contact type (e.g., 'Owner', 'Expert').

Name Type Description
databaseAdmin

CatalogModelContactsValueInner[]

List of database administrator contacts.

expert

CatalogModelContactsValueInner[]

List of expert contacts.

owner

CatalogModelContactsValueInner[]

List of owner contacts.

CriticalDataElement

Represents a critical data element in the catalog with metadata and relationships.

Name Type Description
contacts

ContactsMap

The contacts associated with this critical data element.

dataType

CatalogModelCriticalDataElementDataTypeEnum

The data type of the critical data element.

description

string

A detailed description of the critical data element.

domain

string (uuid)

The unique identifier of the domain this element belongs to.

id

string (uuid)

The unique identifier of the critical data element.

managedAttributes

CatalogModelManagedAttribute[]

Managed attributes associated with this critical data element.

name

string

The name of the critical data element.

status

CatalogModelStatus

The current status of the critical data element.

systemData

CatalogModelSystemDataWithExpired

System metadata including creation and modification information.

DataAssetProvisioningState

The provisioning state of a data asset.

Value Description
Unknown

The provisioning state is unknown.

Succeeded

The resource has been successfully provisioned.

SoftDeleted

The resource has been soft deleted.